# version: '2'

# services:
#     hotrod:
#       image: jaegertracing/example-hotrod:1.57
#       ports:
#         - '8080:8080'
#         - '8083:8083'
#       command: ["-m","prometheus","all"]
#       environment:
#         - JAEGER_AGENT_HOST=jaeger-agent
#         - JAEGER_AGENT_PORT=6831
#         - JAEGER_SAMPLER_TYPE=remote
#         - JAEGER_SAMPLING_ENDPOINT=http://jaeger-agent:5778/sampling
#       depends_on:
#         - jaeger-agent

#     jaeger-collector:
#       image: jaegertracing/jaeger-collector:1.57
#       command:
#         - "--cassandra.keyspace=jaeger_v1_dc1"
#         - "--cassandra.servers=cassandra"
#         - "--collector.zipkin.host-port=9411"
#         - "--sampling.initial-sampling-probability=.5"
#         - "--sampling.target-samples-per-second=.01"
#       environment:
#         - SAMPLING_CONFIG_TYPE=adaptive
#       ports:
#         - "14269:14269"
#         - "14268:14268"
#         - "14250"
#         - "9411:9411"
#       restart: on-failure
#       depends_on:
#         - cassandra-schema

#     jaeger-query:
#       image: jaegertracing/jaeger-query:1.57
#       command: ["--cassandra.keyspace=jaeger_v1_dc1", "--cassandra.servers=cassandra"]
#       ports:
#         - "16686:16686"
#         - "16687"
#       restart: on-failure
#       depends_on:
#         - cassandra-schema

#     jaeger-agent:
#       image: jaegertracing/jaeger-agent:1.57
#       command: ["--reporter.grpc.host-port=jaeger-collector:14250"]
#       ports:
#         - "5775:5775/udp"
#         - "6831:6831/udp"
#         - "6832:6832/udp"
#         - "5778:5778"
#       restart: on-failure
#       depends_on:
#         - jaeger-collector

#     cassandra:
#       image: cassandra:4.0

#     cassandra-schema:
#       image: jaegertracing/jaeger-cassandra-schema:1.57
#       depends_on:
#         - cassandra
version: '3.7'
services:
  jaeger:
    image: jaegertracing/all-in-one:1.57
    ports:
      - "6831:6831/udp"
      - "6832:6832/udp"
      - "5778:5778"
      - "16686:16686"
      - "4317:4317"
      - "4318:4318"
      - "14250:14250"
      - "14268:14268"
      - "14269:14269"
      - "9411:9411"
    environment:
      - COLLECTOR_ZIPKIN_HOST_PORT=:9411
    networks:
      - jaeger-net
  hotrod:
    image: jaegertracing/example-hotrod:1.57
    ports:
      - "8080:8080"
      - "8081:8081"
      - "8082:8082"
      - "8083:8083"
    command: ["all", "--otel-exporter=otlp"]
    environment:
      - OTEL_EXPORTER_OTLP_ENDPOINT="http://jaeger:4318"
    networks:
      - jaeger-net
    depends_on:
      - jaeger

networks:
  jaeger-net:
